package gq.unurled.raxen.utils;

import gq.unurled.raxen.components.dungeons.Rank;

public class DungeonUtils {

    public static Integer getRadiusFromRank(Rank rank) {
        Integer radius = 1;
        switch (rank) {
            case F:
                radius = 4;
            case E:
                radius = 5;
            case D:
                radius = 8;
            case C:
                radius = 10;
            case B:
                radius = 15;
            case A:
                radius = 20;
            case S:
                radius = 30;
            case SS:
                radius = 40;
            case SSS:
                radius = 50;
            case WORLD:
                radius = 100;
            case UNBEATABLE:
                radius = 200;
            case NOT_DEFINED:
                radius = 1000;
        }
        return radius;
    }
}
